Subject: Re: [PATCH] git-send-email: Accept -n as a synonym for --dry-run

From: Thomas Rast <[email-masked]>
Date: Thu, 9 Dec 2010 14:35:02 +0100

Alejandro R. Sedeño wrote:
> diff --git a/git-send-email.perl b/git-send-email.perl
> index 76565de..7e3df9a 100755
> --- a/git-send-email.perl
> +++ b/git-send-email.perl
> @@ -85,7 +85,7 @@ git send-email [options] <file | directory | rev-list options >
>      --confirm               <str>  * Confirm recipients before sending;
>                                       auto, cc, compose, always, or never.
>      --quiet                        * Output one line of info per email.
> -    --dry-run                      * Don't actually send the emails.
> +    -n, --dry-run                  * Don't actually send the emails.
>      --[no-]validate                * Perform patch sanity checks. Default on.
>      --[no-]format-patch            * understand any non optional arguments as
>                                       `git format-patch` ones.

Good change by itself, but this is the first short option for
git-send-email.  Maybe --force should also get its analogous -f alias?
Any others?

-- 
Thomas Rast
trast@{inf,student}.ethz.ch